Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026542
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2014-05-13 17:072014-08-08 18:54
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision67abd792f3d3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026542: Currency conversion can be deleted although it is used when posting a document

DescriptionCurrency conversion can be deleted although it is used when posting a document
Steps To ReproduceAs group admin role:
   Create a Sales Invoice in USD for F&B España Región Norte
   Complete and post it
   Try to edit the conversion rate from USD to EUR with
      Valid From Date <= Invoice Accounting Date
      Valid To Date >= Invoice Accounting Date
   You will get the following message:
      "Saving failed. Cannot modify used rate"
   Check that you could delete it instead
Proposed SolutionConfigure the C_CONVERSION_RATE_TRG to be fired when deleting a record and add a condition not to enter the following condition if TG_OP = DELETE:

  IF(new.ValidTo IS NULL) THEN
    -- If there is no end date, set it to X
      new.ValidTo:=TO_DATE('31-12-9999', 'DD-MM-YYYY') ;
  END IF;
  --Check for invalid dates
  IF new.ValidTo < new.ValidFrom THEN
    RAISE EXCEPTION '%', '@20505@'; --OBTG:-20000--
  END IF;
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068973)
hgbot (developer)
2014-07-30 10:18

Repository: erp/devel/pi
Changeset: 67abd792f3d32294b33f7bf5b416f86dfbdb24cb
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Jul 30 13:40:16 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/67abd792f3d32294b33f7bf5b416f86dfbdb24cb [^]

Fixes Issue 26542: Currency conversion can be deleted although it is used
when posting a document

---
M src-db/database/model/triggers/C_CONVERSION_RATE_TRG.xml
---
(0069241)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-13 17:07 ngarcia New Issue
2014-05-13 17:07 ngarcia Assigned To => jonalegriaesarte
2014-05-13 17:07 ngarcia Modules => Core
2014-05-13 17:07 ngarcia Triggers an Emergency Pack => No
2014-05-13 17:08 ngarcia Issue Monitored: networkb
2014-05-13 17:09 ngarcia Summary Currency conversion could be deleted although it is used when posting a document => Currency conversion can be deleted although it is used when posting a document
2014-05-13 17:09 ngarcia Description Updated View Revisions
2014-05-13 17:22 ngarcia Proposed Solution updated
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-07-30 09:50 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-07-30 09:50 AtulOpenbravo Status new => scheduled
2014-07-30 09:50 AtulOpenbravo fix_in_branch => pi
2014-07-30 10:12 AtulOpenbravo Review Assigned To => ngarcia
2014-07-30 10:12 AtulOpenbravo fix_in_branch pi =>
2014-07-30 10:18 hgbot Checkin
2014-07-30 10:18 hgbot Note Added: 0068973
2014-07-30 10:18 hgbot Status scheduled => resolved
2014-07-30 10:18 hgbot Resolution open => fixed
2014-07-30 10:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/67abd792f3d32294b33f7bf5b416f86dfbdb24cb [^]
2014-07-30 12:02 ngarcia Status resolved => closed
2014-07-30 12:02 ngarcia Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069241


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker